summaryrefslogtreecommitdiff
path: root/packages/gcc/gcc-4.3.2/debian/template.dpatch
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2008-08-28 08:11:21 +0000
committerKoen Kooi <koen@openembedded.org>2008-08-28 08:11:21 +0000
commit36508f4088546d49972d1eda016dfd616de43a46 (patch)
tree2bceae4502ba26f454e6e9e2beafb2b9319567bd /packages/gcc/gcc-4.3.2/debian/template.dpatch
parent80cc287288dcefc1a373d6ebd63bd31c6433420a (diff)
gcc* 4.3.2: add skeleton, it is missing sysroot, xgcc and uclibc patches
Diffstat (limited to 'packages/gcc/gcc-4.3.2/debian/template.dpatch')
-rw-r--r--packages/gcc/gcc-4.3.2/debian/template.dpatch33
1 files changed, 33 insertions, 0 deletions
diff --git a/packages/gcc/gcc-4.3.2/debian/template.dpatch b/packages/gcc/gcc-4.3.2/debian/template.dpatch
new file mode 100644
index 0000000000..71ffc51cbd
--- /dev/null
+++ b/packages/gcc/gcc-4.3.2/debian/template.dpatch
@@ -0,0 +1,33 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DPATCH:' are a description of the patch.
+# DP: <your description>
+
+# remove the next line
+exit 0
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+